Skip to main content
POST
/
Agent
/
Wallet
/
GetPaymentOptionsForSellingEDaler
Get Payment Options For Selling Edaler
curl --request POST \
  --url https://{host}/Agent/Wallet/GetPaymentOptionsForSellingEDaler \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "serviceId": "<string>",
  "serviceProvider": "<string>",
  "successUrl": "<string>",
  "failureUrl": "<string>",
  "cancelUrl": "<string>",
  "transactionId": "<string>",
  "tabId": "<string>",
  "functionName": "<string>"
}
'
{
  "id": "<string>",
  "state": "<string>",
  "started": "2023-11-07T05:31:56Z",
  "serviceId": "<string>",
  "serviceProvider": "<string>",
  "ended": "2023-11-07T05:31:56Z",
  "successUrl": "<string>",
  "failureUrl": "<string>",
  "cancelUrl": "<string>",
  "clientUrl": "<string>"
}

Overview

Allows the client to initiate the process of getting payment options for selling eDaler.

Authentication

Requires a valid JWT bearer token.

Notes

This endpoint uses the request schema notation described in Pattern matching.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
serviceId
string
required
serviceProvider
string
required
successUrl
string
failureUrl
string
cancelUrl
string
transactionId
string
tabId
string
functionName
string

Response

200 - application/json

Success

id
string
required
state
string
required
started
string<date-time>
required
serviceId
string
required
serviceProvider
string
required
ended
string<date-time>
successUrl
string
failureUrl
string
cancelUrl
string
clientUrl
string